SDL_GetCurrentVideoDriver(3)

NAME
SDL_GetCurrentVideoDriver - Get the name of the currently initialized video driver.

SYNOPSIS
#include <SDL3/SDL_video.h>

const char * SDL_GetCurrentVideoDriver(void);

DESCRIPTION
The names of drivers are all simple, low-ASCII identifiers, like "cocoa", "x11" or "windows". These never have Unicode characters, and are not meant to be proper names.

RETURN VALUE
Returns the name of the current video driver or NULL if no driver has been initialized.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetNumVideoDrivers(3), SDL_GetVideoDriver(3)